Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/inventory/waste-logs

Prev Next
Get
/public/v1/inventory/waste-logs

Retrieves a list of waste logs

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Query parameters
modifiedOnStart
string($date-time)

Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'

modifiedOnEnd
string($date-time)

Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'

businessDateStart
string($date)

Starting date of 'businessDate' range; must be accompanied by 'businessDateEnd'

businessDateEnd
string($date)

Ending date of 'businessDate' range; must be accompanied by 'businessDateStart'

status
string

Filter for 'status' property, one of 'In Progress', 'Completed', or 'Approved'

number
string

Filter for 'number' property

locationIds
string($uuid)

Identifier of the location to filter by

pageSize
integer($int32)

Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response

Responses
200

list of waste log entities

Expand All
object

A response containing waste logs.

items
Array of object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogPublicDto) | null

Collection of public waste logs records returned in this page.

object

Waste Log

id
integer (int64)

The unique identifier for the Waste Log.

number
string | null

Waste Log Number.

template
object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogTemplateReferencePublicDto)

A reference to a Waste Log Template.

id
integer (int64)

Unique identifier of the waste log template.

name
string | null

Display name of the waste log template.

date
string (date-time)

Waste Log Date.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

totalAmount
number (double)

Total Amount.

lastComment
string | null

Last Comment.

status
string | null

status.

transactionId
string (uuid) | null

The transaction id for the Waste Log.

details
Array of object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogDetailPublicDto) | null

List of Waste Log Details.

object

Waste Log Detail

id
integer (int64)

The unique identifier for the Waste Log detail.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

wasteAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

quantity
number (double)

Quantity.

eachAmount
number (double)

Each Amount.

totalAmount
number (double)

Total Amount.

comment
string | null

Comment.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date and time the waste log was completed.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date and time the waste log was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date and time the waste log was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date and time the waste log was approved.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing waste logs.

items
Array of object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogPublicDto) | null

Collection of public waste logs records returned in this page.

object

Waste Log

id
integer (int64)

The unique identifier for the Waste Log.

number
string | null

Waste Log Number.

template
object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogTemplateReferencePublicDto)

A reference to a Waste Log Template.

id
integer (int64)

Unique identifier of the waste log template.

name
string | null

Display name of the waste log template.

date
string (date-time)

Waste Log Date.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

totalAmount
number (double)

Total Amount.

lastComment
string | null

Last Comment.

status
string | null

status.

transactionId
string (uuid) | null

The transaction id for the Waste Log.

details
Array of object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogDetailPublicDto) | null

List of Waste Log Details.

object

Waste Log Detail

id
integer (int64)

The unique identifier for the Waste Log detail.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

wasteAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

quantity
number (double)

Quantity.

eachAmount
number (double)

Each Amount.

totalAmount
number (double)

Total Amount.

comment
string | null

Comment.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date and time the waste log was completed.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date and time the waste log was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date and time the waste log was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date and time the waste log was approved.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.

Expand All
object

A response containing waste logs.

items
Array of object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogPublicDto) | null

Collection of public waste logs records returned in this page.

object

Waste Log

id
integer (int64)

The unique identifier for the Waste Log.

number
string | null

Waste Log Number.

template
object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogTemplateReferencePublicDto)

A reference to a Waste Log Template.

id
integer (int64)

Unique identifier of the waste log template.

name
string | null

Display name of the waste log template.

date
string (date-time)

Waste Log Date.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

totalAmount
number (double)

Total Amount.

lastComment
string | null

Last Comment.

status
string | null

status.

transactionId
string (uuid) | null

The transaction id for the Waste Log.

details
Array of object (R365.Inventory.Public.Contracts.WasteLogs.Models.WasteLogDetailPublicDto) | null

List of Waste Log Details.

object

Waste Log Detail

id
integer (int64)

The unique identifier for the Waste Log detail.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
unitOfMeasure
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

wasteAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

quantity
number (double)

Quantity.

eachAmount
number (double)

Each Amount.

totalAmount
number (double)

Total Amount.

comment
string | null

Comment.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date and time the waste log was completed.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

createdOn
string (date-time)

The date and time the waste log was created.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The date and time the waste log was last modified.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The date and time the waste log was approved.

nextLink
string | null

URL to retrieve the next page of results, or null when this is the last page.